type: google.api.Service
config_version: 3
name: composer.googleapis.com
title: Cloud Composer API

apis:
- name: google.cloud.orchestration.airflow.service.v1.Environments
- name: google.cloud.orchestration.airflow.service.v1.ImageVersions

types:
- name: google.cloud.orchestration.airflow.service.v1.CheckUpgradeResponse
- name: google.cloud.orchestration.airflow.service.v1.OperationMetadata

documentation:
  summary: Manages Apache Airflow environments on Google Cloud Platform.

backend:
  rules:
  - selector: 'google.cloud.orchestration.airflow.service.v1.Environments.*'
    deadline: 10.0
  - selector: google.cloud.orchestration.airflow.service.v1.ImageVersions.ListImageVersions
    deadline: 10.0
  - selector: 'google.longrunning.Operations.*'
    deadline: 10.0

http:
  rules:
  - selector: google.longrunning.Operations.DeleteOperation
    delete: '/v1/{name=projects/*/locations/*/operations/*}'
  - selector: google.longrunning.Operations.GetOperation
    get: '/v1/{name=projects/*/locations/*/operations/*}'
  - selector: google.longrunning.Operations.ListOperations
    get: '/v1/{name=projects/*/locations/*}/operations'

authentication:
  rules:
  - selector: 'google.cloud.orchestration.airflow.service.v1.Environments.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: google.cloud.orchestration.airflow.service.v1.ImageVersions.ListImageVersions
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.longrunning.Operations.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
